# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit toolchain-funcs

if [[ ${PV} = 9999* ]]; then
        inherit git-r3
        EGIT_REPO_URI="https://gitlab.synchro.net/main/sbbs.git"
else
	SRC_URI="https://downloads.sourceforge.net/project/syncterm/syncterm/syncterm-${PV}/syncterm-${PV}-src.tgz"
	KEYWORDS="amd64"
fi


DESCRIPTION="A BBS terminal program, supporting ANSI music and IBM charset."
HOMEPAGE="http://syncterm.bbsdev.net"

LICENSE="GPL-2"
SLOT="0"

RDEPEND="sys-libs/ncurses"
DEPEND="${RDEPEND}"

PATCHES=(
#	"${FILESDIR}"/cl-makefile.patch
#	"${FILESDIR}"/st_crypt-9999.patch
)

#S=${WORKDIR}/syncterm-${PV}/src/syncterm

#src_prepare() {
#    cp "${FILESDIR}"/cl-linux-yield.patch ${WORKDIR}/syncterm-${PV}/3rdp/build/cl-linux-yield.patch
#    default
#}

src_compile() {
#	CPPFLAGS="${CPPFLAGS}" \
#	CFLAGS="${CFLAGS}" \
#	LDFLAGS="${LDFLAGS}" \

	emake -C src/syncterm CC="$(tc-getCC)" \
	PREFIX="/usr" MANPREFIX="/usr/share" RELEASE=1
}

src_install() {
	emake -C src/syncterm CC="$(tc-getCC)" \
	PREFIX="${ED}/usr" MANPREFIX="${ED}/usr/share" RELEASE=1 install
}
