# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=8

PREREL="352"

inherit toolchain-funcs multilib

DESCRIPTION="ACME is a free cross assembler, It can produce code for the following processors: 6502, 6510 (including illegal opcodes), 65c02 and 65816."
HOMEPAGE="https://github.com/martinpiper/acme"
SRC_URI="https://sourceforge.net/code-snapshots/svn/a/ac/acme-crossass/code-0/acme-crossass-code-0-r${PREREL}-trunk.zip -> ${PN}-${PV}.zip"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc"

DEPEND="doc? ( app-text/linuxdoc-tools )"
RDEPEND=""

#S="${WORKDIR}"/${PN}-master
S="${WORKDIR}"/${PN}-crossass-code-0-r${PREREL}-trunk

src_compile() {
	# the build needs to be split otherwise we can't specify CC
	# these makefiles are not parallel build aware
	emake -C src CC="$(tc-getCC)" AR="$(tc-getAR)" BINDIR="/usr/bin" || die "src build fail"
	use doc && emake -C doc html info
}

src_install() {
	emake -C src CC="$(tc-getCC)" AR="$(tc-getAR)" BINDIR="${D}/usr/bin" install || die "src install failed"
	use doc && emake CC="$(tc-getCC)" AR="$(tc-getAR)" BINDIR="${D}/usr/bin" doc html info
}
