# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit unpacker

DESCRIPTION="Calypsi is a series of C compiler and assembly language cross compiler tool chains. The current tool chains are aimed towards the retro and hobby communities."
HOMEPAGE="https://www.calypsi.cc/"

SRC_URI="https://github.com/hth313/Calypsi-tool-chains/releases/download/${PV}/calypsi-6502-${PV}.deb
	https://github.com/hth313/Calypsi-tool-chains/releases/download/${PV}/calypsi-65816-${PV}.deb
	https://github.com/hth313/Calypsi-tool-chains/releases/download/${PV}/calypsi-68000-${PV}.deb"

LICENSE="Calypsi"

SLOT="0"

KEYWORDS="~amd64"

IUSE=""

RESTRICT="strip mirror test"

DEPEND="sys-process/numactl"

RDEPEND="${DEPEND}"

S=${WORKDIR}

src_unpack() {
	unpack_deb calypsi-6502-${PV}.deb
	unpack_deb calypsi-65816-${PV}.deb
	unpack_deb calypsi-68000-${PV}.deb
}

src_install() {
	dodir /opt/calypsi/6502
	cp -aR usr/local/lib/calypsi-6502-${PV}/* "${D}/opt/calypsi/6502"
	doenvd "${FILESDIR}"/50calypsi-6502
	dodir /opt/calypsi/65816
	cp -aR usr/local/lib/calypsi-65816-${PV}/* "${D}/opt/calypsi/65816"
	doenvd "${FILESDIR}"/50calypsi-65816
	dodir /opt/calypsi/68000
	cp -aR usr/local/lib/calypsi-68000-${PV}/* "${D}/opt/calypsi/68000"
	doenvd "${FILESDIR}"/50calypsi-68000
}
