# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit desktop unpacker xdg

DESCRIPTION="Your entire server infrastructure at your fingertips"
HOMEPAGE="https://xpipe.io/"
#SRC_URI="https://github.com/${PN}-io/${PN}/releases/download/${PV}/${PN}-installer-linux-x86_64.deb -> ${PN}-installer-linux-${PV}-x86_64.deb"
SRC_URI="https://github.com/${PN}-io/${PN}/releases/download/${PV}/${PN}-portable-linux-x86_64.tar.gz -> ${PN}-portable-linux-${PV}-x86_64.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE=""

QA_PREBUILT="*"

RDEPEND="
"

S="${WORKDIR}"

src_install() {

	mv xpipe-${PV} xpipe
	dodir /opt
	cp -a xpipe "${ED}"/opt || die

	dosym ../../opt/xpipe/cli/bin/xpipe usr/bin/xpipe

	dosym ../../opt/xpipe/cli/xpipe_completion etc/bash_completion.d/xpipe

	domenu ${FILESDIR}/${PN}.desktop

	doman xpipe/cli/man/*

}

pkg_preinst() {
        xdg_pkg_preinst
}

pkg_postinst() {
        xdg_pkg_postinst
}

pkg_postrm() {
        xdg_pkg_postrm
}
